Bug 1498445 - The logout page after SSO login (/users/extlogout) don't display company specific message
Summary: The logout page after SSO login (/users/extlogout) don't display company spec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Settings
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-04 10:54 UTC by Nikhil Kathole
Modified: 2019-09-26 15:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:31:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI extlogout page (248.25 KB, image/png)
2017-10-04 10:54 UTC, Nikhil Kathole
no flags Details
screenshot of UI extlogout page showing company specific message (66.44 KB, image/png)
2017-10-16 05:17 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21246 None None None 2017-10-09 11:37:56 UTC

Description Nikhil Kathole 2017-10-04 10:54:07 UTC
Created attachment 1334179 [details]
screenshot of UI extlogout page

Description of problem: While verifying bugzillas https://bugzilla.redhat.com/show_bug.cgi?id=1479754, we came to know about URL https://sat6/users/extlogout.
But for satellite 6.3, this logout page do not display company specific message as per login page(https://sat6/users/login).


Version-Release number of selected component (if applicable): Satellite 6.3 snap 18


How reproducible: always


Steps to Reproduce:
1. Navigate to Administer -> Settings
2. Click on general tab
3. Edit parameter login page footer text and set some message to display over login page
4. Logout and make sure that message is display on login page
5. Navigate to  https://sat6/users/extlogout

Actual results:
Company specific message set for login page do not display on https://sat6/users/extlogout

Expected results:
Company specific message set for login page should display on https://sat6/users/extlogout

Additional info:

Comment 2 Marek Hulan 2017-10-09 11:37:53 UTC
Created redmine issue http://projects.theforeman.org/issues/21246 from this bug

Comment 3 pm-sat@redhat.com 2017-10-09 14:32:06 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21246 has been resolved.

Comment 4 Nikhil Kathole 2017-10-16 05:16:28 UTC
VERIFIED

Version Tested:
Satellite-6.3 Snap 20

steps:
1. Set parameter login page footer text in settings
2. Navigated to https://SAT/users/extlogout

Found company specific message on extlogout page (see attachment). But found version of satellite is incorrect on extlogout page and login page. Here is the issue :

https://bugzilla.redhat.com/show_bug.cgi?id=1502098

Comment 5 Nikhil Kathole 2017-10-16 05:17:27 UTC
Created attachment 1339031 [details]
screenshot of UI extlogout page showing company specific message

Comment 6 Bryan Kearney 2018-02-21 17:31:01 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.